Public Member Functions | Protected Attributes | Friends

# OGRCurveCollection Class Reference

Utility class to store a collection of curves. More...

`#include <ogr_geometry.h>`

List of all members.

## Public Member Functions
void | empty (OGRGeometry *poGeom)
OGRBoolean | IsEmpty () const
void | getEnvelope (OGREnvelope *psEnvelope) const
void | getEnvelope (OGREnvelope3D *psEnvelope) const
OGRErr | addCurveDirectly (OGRGeometry *poGeom, OGRCurve *poCurve, int bNeedRealloc)
int | WkbSize () const
OGRErr | importPreambuleFromWkb (OGRGeometry *poGeom, unsigned char *pabyData, int &nSize, int &nDataOffset, OGRwkbByteOrder &eByteOrder, int nMinSubGeomSize, OGRwkbVariant eWkVariant)
OGRErr | importBodyFromWkb (OGRGeometry *poGeom, unsigned char *pabyData, int nSize, int nDataOffset, int bAcceptCompoundCurve, OGRErr(*pfnAddCurveDirectlyFromWkb)(OGRGeometry *poGeom, OGRCurve *poCurve), OGRwkbVariant eWkVariant)
OGRErr | exportToWkt (const OGRGeometry *poGeom, char **ppszDstText) const
OGRErr | exportToWkb (const OGRGeometry *poGeom, OGRwkbByteOrder, unsigned char *, OGRwkbVariant eWkbVariant) const
OGRBoolean | Equals (OGRCurveCollection *poOCC) const
void | setCoordinateDimension (OGRGeometry *poGeom, int nNewDimension)
int | getNumCurves () const
OGRCurve * | getCurve (int)
const OGRCurve * | getCurve (int) const
OGRCurve * | stealCurve (int)
OGRErr | transform (OGRGeometry *poGeom, OGRCoordinateTransformation *poCT)
void | flattenTo2D (OGRGeometry *poGeom)
void | segmentize (double dfMaxLength)
void | swapXY ()
OGRBoolean | hasCurveGeometry (int bLookForNonLinear) const
## Protected Attributes
int | nCurveCount
OGRCurve ** | papoCurves
## Friends
class | OGRCompoundCurve
class | OGRCurvePolygon
class | OGRPolygon

## Detailed Description

Utility class to store a collection of curves.

Used as a member of OGRCompoundCurve and OGRCurvePolygon.

This class is only exported because of linking issues. It should never be directly used.

Since:
  GDAL 2.0

The documentation for this class was generated from the following files:

- ogr_geometry.h
- ogrcurvecollection.cpp

Generated for GDAL by 1.7.1.